## libkeduvocdocument 25.08.0

=== debian/changelog ===
libkeduvocdocument (4:25.08.0-2~exp2) experimental; urgency=medium

  * debian/rules: Explicitly strip -Wl,-z,gcs and append -Wl,-z,gcs=never.
    See if it could solve the FTBFS on arm64.

 -- Boyuan Yang <byang@debian.org>  Fri, 12 Sep 2025 14:50:27 -0400

libkeduvocdocument (4:25.08.0-2~exp1) experimental; urgency=medium

  * Test build with DH_VERBOSE set to 1.

 -- Boyuan Yang <byang@debian.org>  Thu, 11 Sep 2025 15:21:01 -0400

libkeduvocdocument (4:25.08.0-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * Team upload.
  * New upstream release (25.08.0).
  * d/p/enable_debianabimanager.diff: Add an Author field to suppress lintian
    warnings.
  * debian/copyright: Fix lintian old-fsf-address-in-copyright-file.

  [ Aurélien COUDERC ]
  * Remove inactive uploaders.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Sep 2025 09:51:29 -0400

=== debian/rules ===
#!/usr/bin/make -f

# We need to examine detailed build flags
export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

# More config in the playground to disable gcs
ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
    export DEB_LDFLAGS_MAINT_STRIP = -Wl,-z,gcs
    export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,gcs=never
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

## libkeduvocdocument 25.08.1

=== keduvocdocument/CMakeLists.txt ===
if (BUILD_TESTING)
   add_subdirectory(autotests)
   add_subdirectory(tests)
endif()

########### next target ###############

include(ECMSetupVersion)

ecm_setup_version(PROJECT
    VARIABLE_PREFIX KEDUVOCDOCUMENT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/keduvocdocument_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_BINARY_DIR}/KEduVocDocumentVersion.cmake"
)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
)

set(keduvocdocument_LIB_SRCS
    keduvocarticle.cpp
    keduvocarticle.h
    keduvoccommon_p.h
    keduvocconjugation.cpp
    keduvocconjugation.h
    keduvoccontainer.cpp
    keduvoccontainer.h
    keduvoccsvwriter.cpp
    keduvoccsvwriter.h
    keduvocdeclension.cpp
    keduvocdeclension.h
    keduvocdocument.cpp
    keduvocdocument.h
    keduvocexpression.cpp
    keduvocexpression.h
    keduvocidentifier.cpp
    keduvocidentifier.h
    keduvockvtml2writer.cpp
    keduvockvtml2writer.h
    keduvockvtmlcompability.cpp
    keduvockvtmlcompability.h
    keduvocleitnerbox.cpp
    keduvocleitnerbox.h
    keduvoclesson.cpp
    keduvoclesson.h
    keduvocmultiplechoice.cpp
    keduvocmultiplechoice.h
    keduvocpersonalpronoun.cpp
    keduvocpersonalpronoun.h
    keduvoctext.cpp
    keduvoctext.h
    keduvoctranslation.cpp
    keduvoctranslation.h
    keduvocwordflags.h
    keduvocwordtype.cpp
    keduvocwordtype.h
    kvtml2defs.h
    kvtmldefs.h
    readerwriters/dummyreader.cpp
    readerwriters/dummyreader.h
    readerwriters/failedreader.cpp
    readerwriters/failedreader.h
    readerwriters/keduvoccsvreader.cpp
    readerwriters/keduvoccsvreader.h
    readerwriters/keduvockvtml2reader.cpp
    readerwriters/keduvockvtml2reader.h
    readerwriters/keduvockvtmlreader.cpp
    readerwriters/keduvockvtmlreader.h
    readerwriters/keduvocpaukerreader.cpp
    readerwriters/keduvocpaukerreader.h
    readerwriters/keduvocvokabelnreader.cpp
    readerwriters/keduvocvokabelnreader.h
    readerwriters/keduvocwqlreader.cpp
    readerwriters/keduvocwqlreader.h
    readerwriters/keduvocxdxfreader.cpp
    readerwriters/keduvocxdxfreader.h
    readerwriters/readerbase.h
    readerwriters/readermanager.cpp
    readerwriters/readermanager.h
    sharedkvtmlfiles.cpp
    sharedkvtmlfiles.h
)

include(ECMGenerateHeaders)
ecm_generate_headers( KdeEdu_HEADERS
  HEADER_NAMES
    KEduVocDocument
    KEduVocIdentifier
    KEduVocExpression
    KEduVocText
    KEduVocArticle
    KEduVocConjugation
    KEduVocLesson
    KEduVocLeitnerBox
    KEduVocContainer
    KEduVocWordFlags
    KEduVocMultipleChoice
    KEduVocTranslation
    KEduVocWordtype
    KEduVocPersonalPronoun
    SharedKVTMLFiles
    KEduVocDeclension
    KEduVocKVTML2Writer

    REQUIRED_HEADERS KdeEdu_HEADERS
)

add_library(KEduVocDocument SHARED ${keduvocdocument_LIB_SRCS})
set_target_properties(KEduVocDocument PROPERTIES
    VERSION   ${KEDUVOCDOCUMENT_VERSION}
    SOVERSION ${KEDUVOCDOCUMENT_SOVERSION}
)

# vHanda: Add library alias?
ecm_generate_export_header(KEduVocDocument
    BASE_NAME KEduVocDocument
    VERSION ${KEDUVOCDOCUMENT_VERSION}
    DEPRECATED_BASE_VERSION 0
    USE_VERSION_HEADER
)

target_link_libraries(KEduVocDocument
  PUBLIC
    Qt6::Xml
  PRIVATE
    KF6::I18n
    KF6::KIOCore
    KF6::Archive
)


target_include_directories(KEduVocDocument INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/libkeduvocdocument>")


#Library for non-api unittests
add_library(keduvocdocument_static STATIC ${keduvocdocument_LIB_SRCS})
set_target_properties(keduvocdocument_static PROPERTIES COMPILE_FLAGS -DKEDUVOCDOCUMENT_STATIC_DEFINE)

target_link_libraries(keduvocdocument_static
  PUBLIC
    KF6::KIOCore
    Qt6::Xml
  PRIVATE
    KF6::I18n
    KF6::Archive
)



# if we want to set our own version instead of following kde generic
#set(LIB_KEDUVOCDOCUMENT_VERSION "5.0.0")
#set(LIB_KEDUVOCDOCUMENT_SOVERSION "5")
#set_target_properties(keduvocdocument
#    PROPERTIES VERSION ${LIB_KEDUVOCDOCUMENT_VERSION}
#    SOVERSION ${LIB_KEDUVOCDOCUMENT_SOVERSION}
#)

install(TARGETS KEduVocDocument EXPORT LibKEduVocDocumentTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/keduvocdocument_export.h
  ${CMAKE_CURRENT_BINARY_DIR}/keduvocdocument_version.h
  ${KdeEdu_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/libkeduvocdocument COMPONENT Devel
)

=== debian/changelog ===
libkeduvocdocument (4:25.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (25.08.1).

 -- Boyuan Yang <byang@debian.org>  Sat, 27 Sep 2025 12:35:41 -0400

=== debian/control ===
Source: libkeduvocdocument
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libkf6archive-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               pkg-kde-tools (>= 0.18.3),
               qt6-base-dev (>= 6.4.0~),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/education/libkeduvocdocument
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkeduvocdocument
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkeduvocdocument.git

Package: libkeduvocdocument-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkeduvocdocument5 (<< 4:22.11.90-2),
Replaces: libkeduvocdocument5 (<< 4:22.11.90-2),
Description: translations for KEduVocDocument
 This package contains development files for building software that uses the
 KEduVocDocument library
 .
 This package contains architecture-independent data files for KEduVocDocument.
 .
 This package is part of the KDE education module.

Package: libkeduvocdocument-dev
Section: libdevel
Architecture: any
Depends: libkeduvocdocument5abi2 (= ${binary:Version}),
         qt6-base-dev (>= 6.4.0~),
         ${misc:Depends},
Description: development files for KEduVocDocument
 This package contains development files for building software that uses the
 KEduVocDocument library
 .
 This package contains the development files for KEduVocDocument.
 .
 This package is part of the KDE education module.

Package: libkeduvocdocument5abi2
X-Debian-ABI: 2
X-CMake-Target: KEduVocDocument
Architecture: any
Multi-Arch: same
Depends: kdeedu-data,
         kdeedu-kvtml-data,
         libkeduvocdocument-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for reading and writing vocabulary files
 This package contains a library for reading and writing vocabulary files. It
 supports different file formats. KVTML (version 2) is the default. This library
 is used by Parley, Kanagram, KHangMan and KWordQuiz.
 .
 This package is part of the KDE education module.

## libkeduvocdocument 25.08.1+p24.04+vstable+git20250910.0314

=== debian/changelog ===
libkeduvocdocument (4:25.08.1+p24.04+vstable+git20250910.0314-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 03:14:17 +0000

libkeduvocdocument (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:07:34 +0000

libkeduvocdocument (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:34:30 +0000

## libkeduvocdocument 25.08.2

=== debian/changelog ===
libkeduvocdocument (4:25.08.2-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 03:01:31 +0000

libkeduvocdocument (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:50:13 +0000

## libkeduvocdocument 25.08.3

=== keduvocdocument/autotests/CMakeLists.txt ===
# To add a new unittest
# 1. Add its name to kvocdoc_unittests or kvocdoc_api_unittests

include(ECMMarkAsTest)
include(ECMAddTests)
include(CTest)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}/..
    ${CMAKE_CURRENT_SOURCE_DIR}/..
    ../readerwriters
)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Test)

#API interface unit tests linked to exported shared library
set(kvocdoc_api_unittests
  # keduvocdocumentvalidatortest
  # keduvocdocumentfilelockingtest
  # openAPItest
  keduvocdocumenttest.cpp
  emptydocumenttest.cpp
  keduvoctexttest.cpp
)

#Unit Tests linked to objects behind the API wall
set(kvocdoc_unittests
  readerkvtml2test.cpp
  readerwordquiztest.cpp
  readerpaukertest.cpp
  readervokabelntest.cpp
  readerxdxftest.cpp
)

#Helper Classes for unit tests
set(kvocdoc_unittests_helpers
  readerTestHelpers.h
)


macro(KEDUVOCDOCUMENT_NON_GUI_UNIT_TESTS staticOrAPILib)
   foreach(_testname ${ARGN})
     ecm_add_test( ${_testname} ${kvocdoc_unittests_helpers}
       LINK_LIBRARIES ${staticOrAPILib} KF6::CoreAddons KF6::KIOCore Qt6::Test Qt6::Xml
       TEST_NAME ${_testname}
       )
   endforeach()
endmacro()

macro(KEDUVOCDOCUMENT_GUI_UNIT_TESTS staticOrAPILib)
   foreach(_testname ${ARGN})
     ecm_add_test( ${_testname} ${kvocdoc_unittests_helpers}
       LINK_LIBRARIES ${staticOrAPILib} KF6::CoreAddons KF6::KIOCore Qt6::Test Qt6::Xml
       TEST_NAME ${_testname}
       GUI)
   endforeach()
endmacro()

macro(KEDUVOCDOCUMENT_GUI_UNIT_TESTS_STATIC staticOrAPILib)
   foreach(_testname ${ARGN})
     ecm_add_test( ${_testname} ${kvocdoc_unittests_helpers}
       LINK_LIBRARIES ${staticOrAPILib} KF6::CoreAddons KF6::KIOCore Qt6::Test Qt6::Xml
       TEST_NAME ${_testname}
       GUI)
       set_target_properties(${_testname} PROPERTIES COMPILE_FLAGS -DKEDUVOCDOCUMENT_STATIC_DEFINE)
   endforeach()
endmacro()


keduvocdocument_non_gui_unit_tests(KEduVocDocument ${kvocdoc_api_unittests})
keduvocdocument_gui_unit_tests_static(keduvocdocument_static ${kvocdoc_unittests})

=== debian/changelog ===
libkeduvocdocument (4:25.08.3-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 17:31:13 +0000

libkeduvocdocument (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:40:40 +1000

## libkeduvocdocument 25.08.3+p24.04+vstable+git20251123.1550

=== debian/changelog ===
libkeduvocdocument (4:25.08.3+p24.04+vstable+git20251123.1550-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 15:50:17 +0000

## libkeduvocdocument 25.11.80

=== debian/changelog ===
libkeduvocdocument (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:56:47 +0000

libkeduvocdocument (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:19:24 +0000

libkeduvocdocument (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:55:58 +0100

libkeduvocdocument (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:58:28 +0100

libkeduvocdocument (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:29:54 +0100

## libkeduvocdocument 25.11.90

=== debian/changelog ===
libkeduvocdocument (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:15:26 +0000

## libkeduvocdocument 25.12.0

=== debian/changelog ===
libkeduvocdocument (4:25.12.0-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 04 Jan 2026 17:54:39 +0000

libkeduvocdocument (4:25.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (25.12.0).

 -- Boyuan Yang <byang@debian.org>  Sun, 04 Jan 2026 10:18:24 -0500

libkeduvocdocument (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:35:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libkeduvocdocument
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
@@ -17,8 +18,8 @@
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/education/libkeduvocdocument
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkeduvocdocument
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkeduvocdocument.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkeduvocdocument
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkeduvocdocument
 
 Package: libkeduvocdocument-data
 Architecture: all

## libkeduvocdocument 25.12.0+p24.04+vstable+git20251208.1724

=== debian/changelog ===
libkeduvocdocument (4:25.12.0+p24.04+vstable+git20251208.1724-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 17:24:18 +0000

libkeduvocdocument (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:36:51 +1000

## libkeduvocdocument 25.12.0+p24.04+vunstable+git20260105.1431

=== debian/changelog ===
libkeduvocdocument (4:25.12.0+p24.04+vunstable+git20260105.1431-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 14:31:13 +0000

## libkeduvocdocument 25.12.1

=== debian/changelog ===
libkeduvocdocument (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:43:19 +0000

libkeduvocdocument (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:16:11 +0000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.3.0~),
                gettext,
                libkf6archive-dev (>= 6.3.0~),

## libkeduvocdocument 25.12.1+p24.04+vstable+git20260107.2210

=== debian/changelog ===
libkeduvocdocument (4:25.12.1+p24.04+vstable+git20260107.2210-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 22:10:07 +0000

libkeduvocdocument (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:26:54 +1000

## libkeduvocdocument 25.12.1+p24.04+vunstable+git20260106.1743

=== debian/changelog ===
libkeduvocdocument (4:25.12.1+p24.04+vunstable+git20260106.1743-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 17:43:57 +0000

## libkeduvocdocument 25.12.2

=== debian/changelog ===
libkeduvocdocument (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:30:53 +0000

## libkeduvocdocument 25.12.2+p24.04+vstable+git20260206.1536

=== debian/changelog ===
libkeduvocdocument (4:25.12.2+p24.04+vstable+git20260206.1536-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 15:36:06 +0000

libkeduvocdocument (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:28:37 +0000
